# -*- coding: utf-8 -*-
# TKControl.py
import Tkinter
import serial
import time
import sys

ser = serial.Serial('/dev/ttyACM0',9600)

def MotorSet( left, right):
    ser.write(str(left)+b','+str(right)+b'\n')
def Stop():
    MotorSet(    0,    0 )
def Forward():
    MotorSet(  100,  100 )
def Back():
    MotorSet( -100, -100 )
def Right():
    MotorSet(  100, -100 )
def Left():
    MotorSet( -100,  100 )

#Main Program
root = Tkinter.Tk()
root.geometry("300x300")
root.title("Motor Controller")
w = 9
h = 7
fwBtn = Tkinter.Button(text = " F ", width= w, height= h, command=Forward )
fwBtn.place(x=100, y=0)
stBtn = Tkinter.Button(text = " S ", width= w, height= h, command=Stop )
stBtn.place(x=100, y=100)
bkBtn = Tkinter.Button(text = " B ", width= w, height= h, command=Back )
bkBtn.place(x=100, y=200)
rtBtn = Tkinter.Button(text = " R ", width= w, height= h, command=Right )
rtBtn.place(x=200, y=100)
ltBtn = Tkinter.Button(text = " L ", width= w, height= h, command=Left )
ltBtn.place(x=0, y=100)
root.mainloop()
MotorSet( 0, 0 )
ser.close()
print ("Finished.")
