//USensorStop.ino
#include <ZumoMotors.h>

#define trig 5
#define echo 4
#define led 13

ZumoMotors motors;
int distance=0;

void setup(){
  Serial.begin(9600);
  pinMode(trig, OUTPUT);
  pinMode(echo, INPUT);
  pinMode(led, OUTPUT);
}

void loop(){
  distance=USensor();
  Serial.println(distance);
  if(distance<10){
      motors.setLeftSpeed(0);
      motors.setRightSpeed(0);
  }
  if(Serial.available()){
    int left  = Serial.parseInt();
    int right = Serial.parseInt();
    if(Serial.read()=='\n'){
      motors.setLeftSpeed(left);
      motors.setRightSpeed(right);
    }
  }
  delay(10);
}

int USensor()
{
  long duration;
  digitalWrite(trig, LOW);
  delayMicroseconds(2);
  digitalWrite(trig, HIGH);
  delayMicroseconds(20);
  digitalWrite(trig, LOW);
  duration = pulseIn(echo, HIGH);
  duration = duration / 58;
  return duration;
}



